package com.platform.listener;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Component
@ConfigurationProperties(prefix = "video")
public class VideoFileProperties {

    private String listenerPath;

    private long interval;

    private String baseSavePath;

    public String getListenerPath() {
        return listenerPath;
    }

    public void setListenerPath(String listenerPath) {
        this.listenerPath = listenerPath;
    }

    public long getInterval() {
        return interval;
    }

    public void setInterval(long interval) {
        this.interval = interval;
    }

    public void setBaseSavePath(String baseSavePath) {
        this.baseSavePath = baseSavePath;
    }

    public String getBaseSavePath() {
        return baseSavePath;
    }
}